This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 170262 - CVE-2005-3106 exec_mmap race DoS
CVE-2005-3106 exec_mmap race DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Anderson
Brian Brock
public=20050115,impact=important,sour...
: Security
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-10-10 07:58 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 03:34:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-10 07:58:33 EDT
Race condition in Linux 2.6, when threads are sharing memory mapping via
CLONE_VM (such as linuxthreads and vfork), might allow local users to cause a
denial of service (deadlock) by triggering a core dump while waiting for a
thread that has just performed an exec.

Fixed upstream in 2.6.11:
http://linux.bkbits.net:8080/linux-2.6/cset@41e9a98dJKJjUrTCrKsyak1DOQxQug
Comment 8 Red Hat Bugzilla 2006-01-17 03:34:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0101.html

Note You need to log in before you can comment on or make changes to this bug.